Subject: [clue] MaxCaptures updated text

From: Christian Groves <[email-masked]>
Date: Thu, 06 Mar 2014 06:42:21 +1100

Hello all,

Here's some proposed text to address today's action point on MaxCaptures 
with respect to "=" and "<=". Its also partly also addressing the 
discussion we had on "switched" and "composed" by listing the 
interaction between the MaxCaptures value and the number of captures in 
the MCC. Hopefully that gives a framework for further discussions.

7.2.1.1. Maximum Number of Captures within a MCC

The Maximum Number of Captures MCC attribute indicates the maximum
number of individual captures that may appear in a Capture Encoding
at a time. It may be used to derive how the Single Media
Captures within the MCC are composed / switched with regards to
space and time.

<<<A Provider can indicate that the number of captures in a MCC capture 
encoding is equal “=” to the MaxCaptures value or that there may be any 
number of captures up to and including “<=” the MaxCaptures value. This 
allows a Provider to distinguish between a MCC that purely represents a 
composition of sources versus a MCC that represents switched or switched 
and composed sources.>>>

Max Captures MAY be set to one so that only content related to one
of the sources are shown in the MCC Capture Encoding at a time or
it may be set to any value up to the total number of Source Media
Captures in the MCC.

<<<The bullets below describe how the setting of MaxCapture versus the 
number of captures in the MCC affects how sources appear in a capture 
encoding:

o When MaxCaptures is set to <= 1 and the number of captures in the MCC 
is greater than 1 in the MCC this is a switched case. Zero or 1 capture 
may be switched into the capture encoding. Note: zero is allowed because 
of the "<=".

o When MaxCaptures is set to = 1 and the number of captures in the MCC 
is greater than 1 in the MCC this is a switched case. Only one capture 
source is contained in a capture encoding at a time.

o When MaxCaptures is set to <= 2 and the number of captures in the MCC 
is greater than 2 this is a switched and composed case. The capture 
encoding may contain purely switched sources (i.e. <=2 allows for 1 
source on its own), or may contain composed and switched sources (i.e. a 
composition of 2 sources switched between the sources).

o When MaxCaptures is set to = 2 and the number of captures in the MCC 
is greater than 2 this is a switched and composed case. The capture 
encoding contains composed and switched sources (i.e. a composition of 2 
sources switched between the sources). It is not possible to have a 
single source.

o When MaxCaptures is set to <= to the number of captures in the MCC 
this is a switched and composed case. The capture encoding may contain 
media switched between any number (up to the MaxCaptures) of composed 
sources.

o When MaxCaptures is set to = to the number of captures in the MCC this 
is a composed case. All the sources are composed into a single capture 
encoding.>>>

If this attribute is not set then as default it is assumed that all
source content can appear concurrently in the Capture Encoding
associated with the MCC.

...

In section 10:

- The Consumer may or may not choose to receive all the indicated
captures. Therefore it can choose to receive a sub-set ofCaptures
indicated by the MCC. <<<Where a MCC indicates that the MaxCaptures is 
equal to a particular number of captures and the Consumer wishes to 
select a sub-set of captures, the number of captures it selects should 
at minimum be equal to MaxCaptures value.>>>

Christian

---

From: "Duckworth, Mark" <[email-masked]>
Date: Thu, 6 Mar 2014 08:21:52 -0800

Hi Christian,
This makes sense to me.

If anybody still wants to propose text for adding the "switched" attribute, please do so.  But I think we don't need it.

More Comments inline.
Mark

> -----Original Message-----
> From: clue [mailto:[email-masked]] On Behalf Of Christian Groves
> Sent: Wednesday, March 05, 2014 7:42 PM
> To: [email-masked]
> Subject: [clue] MaxCaptures updated text
> 
> Hello all,
> 
> with respect to "=" and "<=". Its also partly also addressing the discussion we
> had on "switched" and "composed" by listing the interaction between the
> MaxCaptures value and the number of captures in the MCC. Hopefully that
> gives a framework for further discussions.
> 
> 
> number of individual captures that may appear in a Capture Encoding at a
> time. It may be used to derive how the Single Media Captures within the
> MCC are composed / switched with regards to space and time.
> 
> encoding is equal "=" to the MaxCaptures value or that there may be any
> number of captures up to and including "<=" the MaxCaptures value. This
> Max Captures MAY be set to one so that only content related to one of the
> sources are shown in the MCC Capture Encoding at a time or it may be set to
> any value up to the total number of Source Media Captures in the MCC.
> 
> o When MaxCaptures is set to <= 1 and the number of captures in the MCC is
> greater than 1 in the MCC this is a switched case. Zero or 1 capture may be
> switched into the capture encoding. Note: zero is allowed because of the
> "<=".
> 
> o When MaxCaptures is set to = 1 and the number of captures in the MCC is
> greater than 1 in the MCC this is a switched case. Only one capture source is
> contained in a capture encoding at a time.

[Duckworth, Mark] I suggest modifying these first two bullets:
o When MaxCaptures is set to <= 1 and the number of captures in the MCC is greater than 1 (or not specified) this is a switched case. Zero or 1 capture may be switched into the capture encoding. Note: zero is allowed because of the "<=".

o When MaxCaptures is set to = 1 and the number of captures in the MCC is greater than 1 (or not specified) this is a switched case. Only one capture source is contained in a capture encoding at a time.

> o When MaxCaptures is set to <= 2 and the number of captures in the MCC is
> greater than 2 this is a switched and composed case. The capture encoding
> may contain purely switched sources (i.e. <=2 allows for 1 source on its own),
> or may contain composed and switched sources (i.e. a composition of 2
> sources switched between the sources).
>
> o When MaxCaptures is set to = 2 and the number of captures in the MCC is
> greater than 2 this is a switched and composed case. The capture encoding
> contains composed and switched sources (i.e. a composition of 2 sources
> switched between the sources). It is not possible to have a single source.

[Duckworth, Mark] It sounds like these two paragraphs above apply not only for the value 2, but more generally to any value >=2.  Is that your intent?

Also I suggest including in the above two bullets the case where the number of captures in the MCC is not specified.  Or we could write it as separate bullets like this:

o When MaxCaptures is set to <= 2 (or any number greater than 2) and the number of captures in the MCC is not specified this is a switched and composed case. The capture encoding may contain purely switched sources (i.e. <=2 allows for 1 source on its own), or may contain composed and switched sources (i.e. a composition of 2 sources switched between the sources).

o When MaxCaptures is set to = 2 (or any number greater than 2) and the number of captures in the MCC is not specified this is a composed case, and may also be switched.
 
> o When MaxCaptures is set to <= to the number of captures in the MCC this
> is a switched and composed case. The capture encoding may contain media
> switched between any number (up to the MaxCaptures) of composed
> sources.
> 
> o When MaxCaptures is set to = to the number of captures in the MCC this is
> a composed case. All the sources are composed into a single capture
> encoding.>>>
> 
> If this attribute is not set then as default it is assumed that all source content
> can appear concurrently in the Capture Encoding associated with the MCC.
> 
> ...
> 
> In section 10:
> 
> - The Consumer may or may not choose to receive all the indicated captures.
> Therefore it can choose to receive a sub-set ofCaptures indicated by the
> MCC. <<<Where a MCC indicates that the MaxCaptures is equal to a
> particular number of captures and the Consumer wishes to select a sub-set
> of captures, the number of captures it selects should at minimum be equal to
> MaxCaptures value.>>>
> 
> 
> Christian
> 
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue

---

From: Christian Groves <[email-masked]>
Date: Fri, 07 Mar 2014 03:29:40 +1100

Hello Mark,

Thanks for the comments. Please see below.

Regards, Christian

> o When MaxCaptures is set to = 1 and the number of captures in the MCC is greater than 1 (or not specified) this is a switched case. Only one capture source is contained in a capture encoding at a…
[CNG] Good clarification.
> [Duckworth, Mark] It sounds like these two paragraphs above apply not only for the value 2, but more generally to any value >=2.  Is that your intent?
[CNG] Yes that is the intent.
> o When MaxCaptures is set to = 2 (or any number greater than 2) and the number of captures in the MCC is not specified this is a composed case, and may also be switched.
[CNG] Sounds good.